#
# spec file for package python-unpaddedbase64
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         github_user matrix-org
%define         short_name unpaddedbase64
Name:           python-%{short_name}
Version:        1.1.0
Release:        lp150.1.3
Summary:        Unpadded Base64
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/%{github_user}/%{name}
Source:         https://github.com/%{github_user}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  %{python_module base}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
Encode and decode Base64 without "=" padding.

RFC 4648 specifies that Base64 should be padded to a multiple of 4 bytes using
"=" characters. However this conveys no benefit so many protocols choose to use
Base64 without the "=" padding.

%prep
%setup -q -n %{name}-%{version}

%build
%python_build

%install
%python_install
%fdupes %{buildroot}%{_prefix}

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst LICENSE
%{python_sitelib}/*

%changelog
* Mon Feb 27 2017 okurz@suse.com
- Initial submission
